V8Js::__construct
V8Js::getExtensions
V8Js
PHP Manual

# V8Js::executeString

(PECL v8js >= 0.1.0)

V8Js::executeString — Execute a string as Javascript code

### Description

public mixed V8Js::executeString ( string `$script` [, string `$identifier` = "V8Js::executeString()" [, int `$flags` = `V8Js::FLAG_NONE` ]] )

Compiles and executes the string passed with `script` as Javascript code.

### Parameters

`script`

  The code string to be executed.

`identifier`

  Identifier string for the executed code. Used for debugging.

`flags`

  Execution flags. This value must be one of the V8Js::FLAG_* constants, defaulting to `V8Js::FLAG_NONE`.

  - `V8Js::FLAG_NONE`: no flags

  - `V8Js::FLAG_FORCE_ARRAY`: forces all Javascript objects passed to PHP to be associative arrays

### Return Values

Returns the last variable instantiated in the Javascript code converted to matching PHP variable type.

V8Js::__construct
V8Js::getExtensions
V8Js
PHP Manual